#include <iostream>
#include <vector>
using namespace std;

int main() {
	long long N, L, out = 1, inp;
	cin >> N >> L;
	vector<long long> H;
	H.reserve(N);
	for (size_t i = 0; i != N; ++i) {
		cin >> inp;
		H.push_back(inp);
	}

	for (long long i : H) {
		if (i <= L)
			break;
		out++;
	}
	if (out == N + 1)
		cout << -1;
	else
		cout << out;
	return 0;
}